#
# spec file for package linaro-adfu-tool
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           linaro-adfu-tool
Version:        0.1~git.20160322
Release:        lp150.1.4
Url:            https://github.com/96boards-bubblegum/linaro-adfu-tool
Summary:        Actions Device Firmware Update tool
License:        GPL-3.0+ and SUSE-Firmware
Group:          Hardware/Other
Source:         linaro-adfu-tool-%{version}.tar.xz
BuildRequires:  cmake >= 2.6
BuildRequires:  gcc-c++
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(libusb-1.0)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
The Actions Device Firmware Update (ADFU) Tool can be used to recover or update
Actions Semiconductor based devices.

%prep
%setup -q

%build
%cmake
make %{?_smp_mflags}

%install
%cmake_install

%if 0%{?suse_version} != 1315 || 0%{?is_opensuse}
%check
%ctest
%endif

%files
%defattr(-,root,root,-)
%doc README.md src/COPYING
%_bindir/linaro-adfu-tool-bg96
%dir %_datadir/linaro-adfu-tool
%dir %_datadir/linaro-adfu-tool/bg96
%dir %_datadir/linaro-adfu-tool/bg96/firmwares
"%_datadir/linaro-adfu-tool/bg96/firmwares/Terms of Use.docx"
%_datadir/linaro-adfu-tool/bg96/firmwares/adfudec.bin
%_datadir/linaro-adfu-tool/bg96/firmwares/bl31.bin
%_datadir/linaro-adfu-tool/bg96/firmwares/bl32.bin
%_datadir/linaro-adfu-tool/bg96/firmwares/bootloader.bin

%changelog
* Sat Nov 26 2016 afaerber@suse.de
- Initial
